漏洞信息详情

gRPC Swift 输入验证错误漏洞

  • CNNVD编号:CNNVD-202107-539
  • 危害等级: 高危
  • CVE编号: CVE-2021-36154
  • 漏洞类型: 输入验证错误
  • 发布时间: 2021-07-09
  • 威胁类型: 远程
  • 更新时间: 2021-07-14
  • 厂        商:
  • 漏洞来源:

漏洞简介

gRPC Swift是开源的gRPC 的 Swift 语言实现,它包含一个 gRPC Swift API 和代码生成器。为 gRPC 客户端和服务器提供 API 和生成的代码,并且可以使用 Xcode 或 Swift 包管理器构建。

gRPC Swift 1.1.1 及更早版本中的 HTTP2ToRawGRPCServerCodec 存在安全漏洞,该漏洞允许远程攻击者通过在单个 HTTP/2 帧内传递许多小消息来导致拒绝服务。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/grpc/grpc-swift/security/advisories/GHSA-4rhq-vq24-88gw

参考网址

来源:MISC

链接:https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=35274

来源:MISC

链接:https://github.com/grpc/grpc-swift/security/advisories/GHSA-4rhq-vq24-88gw

来源:MISC

链接:https://github.com/grpc/grpc-swift/releases

来源:www.cybersecurity-help.cz

链接:https://www.cybersecurity-help.cz/vdb/SB2021071205

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多